Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187799 - Custom property editor is invoked in a view table even when a custom renderer is defined.
Custom property editor is invoked in a view table even when a custom renderer...
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Code
6.x
PC Linux
: P3 (vote)
: 7.0
Assigned To: Martin Entlicher
issues@debugger
69patch1
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 15:37 UTC by Martin Entlicher
Modified: 2010-06-22 13:37 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2010-06-18 15:37:21 UTC
When a TableRendererModel defines a cell renderer, the [..] button that invokes the custom editor is not visible. But the last several pixels still interpret the click and custom property editor is opened.
Comment 1 Martin Entlicher 2010-06-20 15:48:32 UTC
Fixed in changeset:   173294:ab47cfb6be41
http://hg.netbeans.org/main/rev/ab47cfb6be41
Comment 2 Quality Engineering 2010-06-21 03:22:05 UTC
Integrated into 'main-golden', will be available in build *201006210001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/ab47cfb6be41
User: mentlicher@netbeans.org
Log: #187799 Do not invoke custom property editor when we render the cell.
Comment 3 rbalada 2010-06-21 16:01:20 UTC
Please verify bugfix for this bug, so it can be integrated into release691 repository.

Thanks,
-R
Comment 4 Marian Mirilovic 2010-06-22 10:44:10 UTC
verified in 201006220001
Comment 5 rbalada 2010-06-22 13:37:13 UTC
main #ab47cfb6be41 transplanted to release691 #def77debe0bc


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo